Bug 801 - XBM loader crashes on invalid XBM files
: XBM loader crashes on invalid XBM files
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gdk-pixbuf-loaders)
: unstable
: all Linux
: P4 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-04-08 20:04 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-04-08 20:04:39
Загрузчик файлов XBM падает на неверных/испорченных файлах. Воспроизводится в
тестовой программе gdk-pixbuf:

echo -e \'#define X 1\\n#define Y 2\' >bu.xpm
./testpixbuf bu.xpm
---

---
------- Comment #1 From 2002-04-15 20:07:04 -------
Fixed in gdk-pixbuf-0.16.0-alt2
------- Comment #2 From 2002-04-15 20:07:04 -------
Fixed in gdk-pixbuf-0.16.0-alt2